Remove alpha nearbyint wrapper

System Internals / glibc - Joseph Myers [codesourcery.com] - 4 October 2017 11:57 EDT

Given my recent changes, sysdeps/alpha/fpu/s_nearbyint.c is no longer needed: it just includes the dbl-64/wordsize-64 version, which is the one that would be used anyway, and defines a compat symbol, duplicating the same compat symbol defined by the dbl-64/wordsize-64
version through use of libm_alias_double. Thus, this patch removes the redundant wrapper.

Tested with build-many-glibcs.py that installed stripped shared libraries are unchanged for alpha.

- sysdeps/alpha/fpu/s_nearbyint.c: Remove file.

72d13ed Remove alpha nearbyint wrapper.
ChangeLog | 4 ++++
sysdeps/alpha/fpu/s_nearbyint.c | 25 -------------------------
2 files changed, 4 insertions(+), 25 deletions(-)

Upstream: sourceware.org


  • Share